List responses for a study
curl --request GET \
--url https://listenlabs.ai/api/public/v1/responses/{linkId} \
--header 'x-api-key: <api-key>'import requests
url = "https://listenlabs.ai/api/public/v1/responses/{linkId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://listenlabs.ai/api/public/v1/responses/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readableId": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"progress": "complete",
"responseDurationSeconds": 1,
"answers": {},
"answersArray": [
{
"answerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discussionGuideQuestionId": "<string>",
"conceptId": "<string>",
"question": "<string>",
"answer": "<string>"
}
],
"urlParams": {},
"shortTranscript": "<string>",
"tagline": "<string>",
"bulletSummary": [
"<string>"
],
"tags": [
"<string>"
],
"shortAssistantMessages": [
"<string>"
],
"qualityScore": 123,
"otherRemarks": "<string>",
"personas": "<string>"
}
]Get Responses
List a study’s responses with answers and summaries, paginated
GET
/
api
/
public
/
v1
/
responses
/
{linkId}
List responses for a study
Authorizations
Path Parameters
The study's editable link ID (as used in the response URL) or the study UUID.
Query Parameters
Required range:
x >= 0Required range:
x >= 1Only responses updated at or after this timestamp.
Response
Responses
Required range:
x > 0Available options:
complete, screened_out, in_progress Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes